| name | type | description | default | constraints |
|---|---|---|---|---|
| asynch | formdata | false | boolean | |
| destinationFolderId | formdata | |||
| fileDetail | formdata | |||
| name | formdata | |||
| stream | formdata | |||
| writeResult | formdata | false | boolean | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| media type | data type |
|---|---|
| multipart/form-data | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | ScriptStatus (JSON) |
POST /admin/script/execute
Content-Type: multipart/form-data
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"status" : "Failed",
"errorMessage" : "...",
"startDate" : "...",
"durationInMillis" : 12345,
"humanReadableDuration" : "...",
"result" : "...",
"runningId" : "...",
"executionServer" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| media type | data type | description |
|---|---|---|
| application/json | ScriptStatus (JSON) |
GET /admin/script/export
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"status" : "Success",
"errorMessage" : "...",
"startDate" : "...",
"durationInMillis" : 12345,
"humanReadableDuration" : "...",
"result" : "...",
"runningId" : "...",
"executionServer" : "..."
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| id | path |
| media type | data type | description |
|---|---|---|
| application/json | ScriptStatus (JSON) |
GET /admin/script/{id}/status
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"status" : "Running",
"errorMessage" : "...",
"startDate" : "...",
"durationInMillis" : 12345,
"humanReadableDuration" : "...",
"result" : "...",
"runningId" : "...",
"executionServer" : "..."
}